Package org.jfree.layouting.input.style.parser.stylehandler.border

## Class BorderWidthReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler

- All Implemented Interfaces:
    `CSSCompoundValueReadHandler`, `CSSValueReadHandler`
  Direct Known Subclasses:
    `ColumnRuleWidthReadHandler`, `TextDecorationWidthReadHandler`

      public class BorderWidthReadHandler
      extends AbstractWidthReadHandler
      implements CSSCompoundValueReadHandler

  Creation-Date: 27.11.2005, 19:07:11
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `BorderWidthReadHandler​()` |
    `protected` | `BorderWidthReadHandler​(boolean allowPercentages, boolean allowAuto)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map` | `createValues​(org.w3c.css.sac.LexicalUnit unit)` | Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
    `StyleKey[]` | `getAffectedKeys​()` |
    `protected CSSValue` | `parseWidth​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

      `createValue, isAllowAuto, isAllowPercentages`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderWidthReadHandler

          public BorderWidthReadHandler​()

    - #### BorderWidthReadHandler

          protected BorderWidthReadHandler​(boolean allowPercentages,
                                           boolean allowAuto)

  - ### Method Detail

    - #### parseWidth

          protected CSSValue parseWidth​(org.w3c.css.sac.LexicalUnit value)

      Overrides:
        `parseWidth` in class `AbstractWidthReadHandler`

    - #### createValues

          public java.util.Map createValues​(org.w3c.css.sac.LexicalUnit unit)

      Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
      Specified by:
        `createValues` in interface `CSSCompoundValueReadHandler`
      Parameters:
        `unit` -
      Returns:

    - #### getAffectedKeys

          public StyleKey[] getAffectedKeys​()

      Specified by:
        `getAffectedKeys` in interface `CSSCompoundValueReadHandler`